Page MenuHomePhabricator

Partial block fields in Special:Block are filled if there is an autoblock against the target
Closed, ResolvedPublicMay 5 2020

Description

If there is an existing partial autoblock against <ip>, the partial block fields are filled out by default at Special:Block/<ip>.

Fields should be filled out for existing blocks, but not autoblocks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2020, 2:27 PM

Change 589602 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] SpecialBlock: Don't fill in form defaults for a partial autoblock

https://gerrit.wikimedia.org/r/589602

ARamirez_WMF set Due Date to May 5 2020, 4:00 AM.May 5 2020, 3:46 PM
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".

Change 589602 merged by jenkins-bot:
[mediawiki/core@master] SpecialBlock: Don't fill in form defaults for a partial autoblock

https://gerrit.wikimedia.org/r/589602

dom_walden added a subscriber: dom_walden.

If you go to Special:Block/<ip> for an autoblock <ip>, you just get shown the default block parameters. No indication that the IP is already autoblocked.

Going to Special:Block/<username> or <ip> for normal blocks continues to autofill the form as before.

Tested on https://en.wikipedia.beta.wmflabs.org (MediaWiki 1.35.0-alpha (3963d72) 06:32, 7 May 2020).

Tchanders closed this task as Resolved.May 7 2020, 9:49 AM